# Statements Statements ## Creates a new statement record that does not already exist. - [POST /statements/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/createstatement.md): This method will auto-generate an ID and create a new statement. If an ID is specified for the statement, an error will be thrown. ## Execute Batch Operations - [POST /statements/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /statements/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/liststatementsbycontactid.md): Returns a list of records with the specified contact_id ## Returns the default customer balance statement template - [GET /statements/{tenantId}/defaultStatementTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/getdefaultcustomerbalancestatementtemplate.md): Returns the default customer balance statement template ## Generate/Send Customer Statement - [POST /statements/{tenantId}/generate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/generatecustomerbalancestatement.md): Generates and optionally sends a customer statement ## Returns a list of records with the specified organization_id - [GET /statements/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/liststatementsbyorganizationid.md): Returns a list of records with the specified organization_id ## Sends out a preview of the notification email - [POST /statements/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/previewemail.md): Sends out a preview of the notification email ## Sends out a preview of the notification template - [POST /statements/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/previewtemplate.md): Sends out a preview of the notification template ## Returns a statement from the system by its ID. - [DELETE /statements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/deletestatement.md): This method will delete a statement with the specified ID. ## Returns a statement from the system by its ID. - [GET /statements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/getstatement.md): This method will look up a statement by the specified ID and return it back. ## Partially updates a statement with the specified ID. - [PATCH /statements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/patchstatement.md): This method will patch an existing statement with the specified ID, using the HTTP PATCH specification. ## Updates a statement with the specified ID. - [PUT /statements/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/updatestatement.md): This method will update an existing statement with the specified ID.